Package org.eclipse.rdf4j.federated.optimizer

## Class FilterOptimizer.FilterExprInsertVisitor

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<OptimizationException>
  - - org.eclipse.rdf4j.federated.optimizer.FilterOptimizer.FilterExprInsertVisitor

- All Implemented Interfaces:
    `QueryModelVisitor<OptimizationException>`
  Enclosing class:
    FilterOptimizer

      protected static class FilterOptimizer.FilterExprInsertVisitor
      extends AbstractQueryModelVisitor<OptimizationException>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `added` |
    `protected FilterExpr` | `filterExpr` |
    `protected boolean` | `isStatic` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FilterExprInsertVisitor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canRemove()` |
    `void` | `initialize​(FilterExpr filterExpr)` |
    `void` | `meet​(Difference node)` |
    `void` | `meet​(LeftJoin node)` |
    `void` | `meet​(Union node)` |
    `void` | `meetOther​(QueryModelNode node)` |
    `boolean` | `shouldAddFilter​(FilterTuple filterTuple)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### filterExpr

          protected FilterExpr filterExpr

    - #### added

          protected int added

    - #### isStatic

          protected boolean isStatic

  - ### Constructor Detail

    - #### FilterExprInsertVisitor

          protected FilterExprInsertVisitor()

  - ### Method Detail

    - #### initialize

          public void initialize​(FilterExpr filterExpr)

    - #### canRemove

          public boolean canRemove()

    - #### meet

          public void meet​(LeftJoin node)

      Specified by:
        `meet` in interface `QueryModelVisitor<OptimizationException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<OptimizationException>`

    - #### meet

          public void meet​(Union node)

      Specified by:
        `meet` in interface `QueryModelVisitor<OptimizationException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<OptimizationException>`

    - #### meet

          public void meet​(Difference node)

      Specified by:
        `meet` in interface `QueryModelVisitor<OptimizationException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<OptimizationException>`

    - #### meetOther

          public void meetOther​(QueryModelNode node)

      Specified by:
        `meetOther` in interface `QueryModelVisitor<OptimizationException>`
      Overrides:
        `meetOther` in class `AbstractQueryModelVisitor<OptimizationException>`

    - #### shouldAddFilter

          public boolean shouldAddFilter​(FilterTuple filterTuple)